Skip to main content
GET
/
api
/
reports
/
{report_id}
Get Report
curl --request GET \
  --url https://api.example.com/api/reports/{report_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "status": "<string>",
  "format": "<string>",
  "project_id": "<string>",
  "dataset_id": "<string>",
  "template_id": "<string>",
  "scan_ids": [
    "<string>"
  ],
  "file_path": "<string>",
  "file_size": 123,
  "progress": 123,
  "message": "<string>",
  "content_summary": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

report_id
string
required

Cookies

antidote_session
string | null

Response

Successful Response

id
string
required
name
string
required
description
string | null
required
status
string
required
format
string
required
project_id
string | null
required
dataset_id
string | null
required
template_id
string | null
required
scan_ids
string[] | null
required
file_path
string | null
required
file_size
integer | null
required
progress
integer
required
message
string | null
required
content_summary
Content Summary · object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required